/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libxkbcommon", "index.html", [
    [ "Quick Guide", "index.html#autotoc_md1", null ],
    [ "Building", "index.html#autotoc_md2", null ],
    [ "API", "index.html#autotoc_md3", null ],
    [ "Dataset", "index.html#autotoc_md4", null ],
    [ "Relation to X11", "index.html#autotoc_md5", null ],
    [ "Development", "index.html#autotoc_md6", null ],
    [ "Credits", "index.html#autotoc_md7", null ],
    [ "Introduction to XKB", "xkb-intro.html", [
      [ "XKB the protocol", "xkb-intro.html#xkb-the-protocol", null ],
      [ "XKB the keyboard keymap configuration", "xkb-intro.html#xkb-the-config", null ],
      [ "XKB the text format", "xkb-intro.html#xkb-the-text-format", null ]
    ] ],
    [ "Quick Guide", "md_doc_2quick-guide.html", [
      [ "Introduction", "md_doc_2quick-guide.html#autotoc_md9", null ],
      [ "Code", "md_doc_2quick-guide.html#autotoc_md10", null ]
    ] ],
    [ "Compatibility", "xkbcommon-compatibility.html", [
      [ "XKB support", "xkbcommon-compatibility.html#xkb-v1-compatibility", [
        [ "Notable removals", "xkbcommon-compatibility.html#autotoc_md11", null ],
        [ "Notable additions", "xkbcommon-compatibility.html#autotoc_md12", null ]
      ] ],
      [ "Compose support", "xkbcommon-compatibility.html#compose-support", null ]
    ] ],
    [ "User-configuration", "user-configuration.html", [
      [ "Data locations", "user-configuration.html#autotoc_md13", null ],
      [ "RMLVO vs KcCGST", "user-configuration.html#autotoc_md14", null ],
      [ "Adding a layout", "user-configuration.html#autotoc_md15", null ],
      [ "Adding an option", "user-configuration.html#autotoc_md16", null ],
      [ "Discoverable layouts", "user-configuration.html#autotoc_md17", null ]
    ] ],
    [ "The rules file", "rule-file-format.html", [
      [ "Format of the file", "rule-file-format.html#autotoc_md18", null ],
      [ "Grammar", "rule-file-format.html#autotoc_md19", null ]
    ] ],
    [ "The XKB keymap text format, V1", "keymap-text-format-v1.html", [
      [ "Terminology", "keymap-text-format-v1.html#terminology", null ],
      [ "Introduction to the XKB text format", "keymap-text-format-v1.html#introduction", [
        [ "XKB file", "keymap-text-format-v1.html#autotoc_md21", null ],
        [ "Keymap components", "keymap-text-format-v1.html#keymap-components-intro", null ],
        [ "Comments", "keymap-text-format-v1.html#autotoc_md22", null ],
        [ "Literals", "keymap-text-format-v1.html#autotoc_md23", null ],
        [ "Keywords", "keymap-text-format-v1.html#autotoc_md24", null ],
        [ "Built-in settings", "keymap-text-format-v1.html#autotoc_md25", null ],
        [ "The include mechanism", "keymap-text-format-v1.html#xkb-include", null ]
      ] ],
      [ "The “xkb_keymap” block", "keymap-text-format-v1.html#the-xkb_keymap-block", null ],
      [ "The “xkb_keycodes” section", "keymap-text-format-v1.html#the-xkb_keycodes-section", [
        [ "Keycode statements", "keymap-text-format-v1.html#autotoc_md26", null ],
        [ "Alias statements", "keymap-text-format-v1.html#autotoc_md27", null ],
        [ "LED name statements", "keymap-text-format-v1.html#indicator-name", null ]
      ] ],
      [ "The “xkb_types” section", "keymap-text-format-v1.html#the-xkb_types-section", [
        [ "How key types work", "keymap-text-format-v1.html#autotoc_md28", null ],
        [ "Type definitions", "keymap-text-format-v1.html#autotoc_md29", [
          [ "“level_name” statements", "keymap-text-format-v1.html#key-type-level-name", null ],
          [ "“modifiers” statement", "keymap-text-format-v1.html#key-type-modifiers", null ],
          [ "“map” entry statements", "keymap-text-format-v1.html#key-type-map", null ],
          [ "“preserve” statements", "keymap-text-format-v1.html#key-type-preserve", null ]
        ] ],
        [ "Key types examples", "keymap-text-format-v1.html#key-type-examples", [
          [ "Definitions examples", "keymap-text-format-v1.html#autotoc_md30", [
            [ "Two levels", "keymap-text-format-v1.html#autotoc_md31", null ],
            [ "Four levels", "keymap-text-format-v1.html#autotoc_md32", null ]
          ] ],
          [ "Examples with standard keyboard layouts", "keymap-text-format-v1.html#key-type-mappings-examples", null ]
        ] ]
      ] ],
      [ "The “xkb_compat” section", "keymap-text-format-v1.html#the-xkb_compat-section", [
        [ "Interpret statements", "keymap-text-format-v1.html#interpret-statements", [
          [ "“useModMapMods” statement", "keymap-text-format-v1.html#autotoc_md33", null ],
          [ "“action” statement", "keymap-text-format-v1.html#interpret-action", null ],
          [ "“virtualModifier” statement", "keymap-text-format-v1.html#interpret-virtualModifier", null ],
          [ "“repeat” statement", "keymap-text-format-v1.html#interpret-repeat", null ]
        ] ],
        [ "LED map statements", "keymap-text-format-v1.html#indicator-effect", [
          [ "“modifiers” statement", "keymap-text-format-v1.html#autotoc_md34", null ],
          [ "“whichModState” statement", "keymap-text-format-v1.html#autotoc_md35", null ],
          [ "“groups” statement", "keymap-text-format-v1.html#autotoc_md36", null ],
          [ "“whichGroupState” statement", "keymap-text-format-v1.html#autotoc_md37", null ]
        ] ],
        [ "Default values", "keymap-text-format-v1.html#autotoc_md38", null ]
      ] ],
      [ "The “xkb_symbols” section", "keymap-text-format-v1.html#the-xkb_symbols-section", [
        [ "Name statements", "keymap-text-format-v1.html#autotoc_md39", null ],
        [ "Include statements", "keymap-text-format-v1.html#autotoc_md40", null ],
        [ "Key statement", "keymap-text-format-v1.html#autotoc_md41", [
          [ "Symbols", "keymap-text-format-v1.html#key-symbols-table", null ],
          [ "Type", "keymap-text-format-v1.html#key-type-setting", null ],
          [ "Actions", "keymap-text-format-v1.html#key-actions-table", null ],
          [ "Multiple groups", "keymap-text-format-v1.html#key-groups", null ],
          [ "Virtual modifiers", "keymap-text-format-v1.html#key-virtual-modifiers", null ],
          [ "Repeat", "keymap-text-format-v1.html#key-repeat", null ]
        ] ]
      ] ],
      [ "Virtual modifier statements", "keymap-text-format-v1.html#virtual-modifier-statements", null ],
      [ "Modifiers bindings", "keymap-text-format-v1.html#modifiers-bindings", [
        [ "Real and virtual modifiers", "keymap-text-format-v1.html#autotoc_md42", null ],
        [ "Define and use a modifier", "keymap-text-format-v1.html#autotoc_md43", null ]
      ] ],
      [ "Key actions", "keymap-text-format-v1.html#key-actions", [
        [ "Modifiers actions", "keymap-text-format-v1.html#modifiers-actions", null ],
        [ "Group actions", "keymap-text-format-v1.html#group-actions", null ],
        [ "Unsupported legacy actions", "keymap-text-format-v1.html#legacy-actions", [
          [ "Pointer actions", "keymap-text-format-v1.html#autotoc_md44", null ],
          [ "Control flags actions", "keymap-text-format-v1.html#autotoc_md45", null ],
          [ "Server actions", "keymap-text-format-v1.html#autotoc_md46", null ],
          [ "Private action", "keymap-text-format-v1.html#autotoc_md47", null ]
        ] ]
      ] ]
    ] ],
    [ "Error index", "error-index.html", [
      [ "Index", "error-index.html#autotoc_md48", null ],
      [ "Details", "error-index.html#autotoc_md49", [
        [ "XKB-034 – Malformed number literal", "error-index.html#XKB-034", null ],
        [ "XKB-043 – Conflicting key type preserve entries", "error-index.html#XKB-043", null ],
        [ "XKB-060 – Unsupported modifier mask", "error-index.html#XKB-060", null ],
        [ "XKB-077 – Expected array entry", "error-index.html#XKB-077", null ],
        [ "XKB-101 – Illegal keycode alias", "error-index.html#XKB-101", null ],
        [ "XKB-107 – Unrecognized keysym", "error-index.html#XKB-107", [
          [ "Examples", "error-index.html#autotoc_md50", null ]
        ] ],
        [ "XKB-123 – Undeclared virtual modifier", "error-index.html#XKB-123", null ],
        [ "XKB-134 – Insufficient buffer size", "error-index.html#XKB-134", null ],
        [ "XKB-150 – Wrong statement type", "error-index.html#XKB-150", null ],
        [ "XKB-172 – Unsupported geometry section", "error-index.html#XKB-172", null ],
        [ "XKB-183 – Cannot infer key type", "error-index.html#XKB-183", null ],
        [ "XKB-193 – Invalid escape sequence", "error-index.html#XKB-193", null ],
        [ "XKB-195 – Illegal key type preserve result", "error-index.html#XKB-195", null ],
        [ "XKB-203 – Invalid include statement", "error-index.html#XKB-203", null ],
        [ "XKB-206 – Invalid modmap entry", "error-index.html#XKB-206", null ],
        [ "XKB-237 – Unsupported group index", "error-index.html#XKB-237", null ],
        [ "XKB-239 – Conflicting key type level names", "error-index.html#XKB-239", null ],
        [ "XKB-254 – Invalid set default statement", "error-index.html#XKB-254", null ],
        [ "XKB-266 – Conflicting key type map entry", "error-index.html#XKB-266", null ],
        [ "XKB-286 – Undefined key type", "error-index.html#XKB-286", null ],
        [ "XKB-305 – Non base group name", "error-index.html#XKB-305", null ],
        [ "XKB-312 – Unsupported shift level", "error-index.html#XKB-312", null ],
        [ "XKB-338 – Included file not found", "error-index.html#XKB-338", null ],
        [ "XKB-345 – Unknown operator", "error-index.html#XKB-345", null ],
        [ "XKB-378 – Duplicate entry", "error-index.html#XKB-378", null ],
        [ "XKB-386 – Recursive include", "error-index.html#XKB-386", null ],
        [ "XKB-407 – Conflicting key type definitions", "error-index.html#XKB-407", null ],
        [ "XKB-428 – Global defaults wrong scope", "error-index.html#XKB-428", [
          [ "Examples", "error-index.html#autotoc_md51", null ]
        ] ],
        [ "XKB-433 – Missing default section", "error-index.html#XKB-433", null ],
        [ "XKB-461 – Conflicting key symbol", "error-index.html#XKB-461", null ],
        [ "XKB-478 – Invalid operation", "error-index.html#XKB-478", null ],
        [ "XKB-489 – Numeric keysym", "error-index.html#XKB-489", [
          [ "Examples", "error-index.html#autotoc_md52", null ]
        ] ],
        [ "XKB-516 – Extra symbols ignored", "error-index.html#XKB-516", null ],
        [ "XKB-523 – Conflicting key name", "error-index.html#XKB-523", null ],
        [ "XKB-550 – Allocation error", "error-index.html#XKB-550", null ],
        [ "XKB-578 – Wrong field type", "error-index.html#XKB-578", null ],
        [ "XKB-623 – Invalid real modifier", "error-index.html#XKB-623", null ],
        [ "XKB-645 – Unknown char escape sequence", "error-index.html#XKB-645", null ],
        [ "XKB-661 – Invalid included file", "error-index.html#XKB-661", null ],
        [ "XKB-700 – Multiple groups at once", "error-index.html#XKB-700", null ],
        [ "XKB-711 – Unsupported symbols field", "error-index.html#XKB-711", null ],
        [ "XKB-769 – Invalid syntax", "error-index.html#XKB-769", null ],
        [ "XKB-770 – Undefined keycode", "error-index.html#XKB-770", null ],
        [ "XKB-784 – Invalid expression type", "error-index.html#XKB-784", null ],
        [ "XKB-796 – Invalid value", "error-index.html#XKB-796", null ],
        [ "XKB-800 – Conflicting modmap", "error-index.html#XKB-800", null ],
        [ "XKB-812 – Unknown field", "error-index.html#XKB-812", null ],
        [ "XKB-883 – Conflicting key action", "error-index.html#XKB-883", null ],
        [ "XKB-893 – Conflicting key type merging groups", "error-index.html#XKB-893", null ],
        [ "XKB-901 – Conflicting key symbols entry", "error-index.html#XKB-901", null ],
        [ "XKB-903 – Missing symbols group name index", "error-index.html#XKB-903", null ],
        [ "XKB-935 – Conflicting key fields", "error-index.html#XKB-935", null ],
        [ "XKB-949 – Invalid identifier", "error-index.html#XKB-949", null ],
        [ "XKB-965 – Unresolved keymap symbol", "error-index.html#XKB-965", null ],
        [ "XKB-971 – Undeclared modifiers in key type", "error-index.html#XKB-971", null ]
      ] ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Topics", "topics.html", "topics" ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", null ],
        [ "Functions", "functions_func.html", null ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"group__registry.html#gaf1ca8c79953ccb2981d8bc2bf986955f"
];

var SYNCONMSG = 'click to disable panel synchronization';
var SYNCOFFMSG = 'click to enable panel synchronization';